templates:
- freestyle
- base

catalog:
  title: Boost Threadpool Library

variables:
  description: Header-only Boost-based threadpool library
  keywords:
  - thread
  - header-only

  branches:
  - 0.2.4
  - 0.2.5

  shell.command: |
    DIST_VERSION=`echo "${version-name}" | sed 's/\./_/g'`
    wget http://sourceforge.net/projects/threadpool/files/threadpool/${version-name}%20%28Stable%29/threadpool-\$DIST_VERSION-src.zip
    unzip -o threadpool-\$DIST_VERSION-src.zip
    install --mode=775 -d "${toolkit.dir}"/include
    cp -r threadpool-\$DIST_VERSION-src/threadpool/boost "${toolkit.dir}"/include
